## Class Auth_OpenID_DiffieHellmanSHA1ConsumerSession

Description

A class implementing HMAC/DH-SHA1 consumer sessions.

Located in /Auth/OpenID/Consumer.php (line 453)

Direct descendents

Class | Description
--- | ---
Auth_OpenID_DiffieHellmanSHA256ConsumerSession | A class implementing HMAC/DH-SHA256 consumer sessions.

Variable Summary
mixed $allowed_assoc_types
mixed $hash_func
mixed $secret_size
mixed $session_type
Method Summary
Auth_OpenID_DiffieHellmanSHA1ConsumerSession Auth_OpenID_DiffieHellmanSHA1ConsumerSession ([ $dh = null])
void extractSecret ( $response)
void getRequest ()
Variables
mixed $allowed_assoc_types = array('HMAC-SHA1') (line 457)

Redefined in descendants as:

- Auth_OpenID_DiffieHellmanSHA256ConsumerSession::$allowed_assoc_types

mixed $hash_func = 'Auth_OpenID_SHA1' (line 455)

Redefined in descendants as:

- Auth_OpenID_DiffieHellmanSHA256ConsumerSession::$hash_func

mixed $secret_size = 20 (line 456)

Redefined in descendants as:

- Auth_OpenID_DiffieHellmanSHA256ConsumerSession::$secret_size

mixed $session_type = 'DH-SHA1' (line 454)

Redefined in descendants as:

- Auth_OpenID_DiffieHellmanSHA256ConsumerSession::$session_type

Methods
Constructor Auth_OpenID_DiffieHellmanSHA1ConsumerSession (line 459)
Auth_OpenID_DiffieHellmanSHA1ConsumerSession Auth_OpenID_DiffieHellmanSHA1ConsumerSession ([ $dh = null])

- $dh

extractSecret (line 487)
void extractSecret ( $response)

- $response

getRequest (line 468)
void getRequest ()

Documentation generated on Tue, 21 Apr 2009 11:31:30 -0700 by phpDocumentor 1.3.2